# -*- coding: utf-8 -*-
# Generated by Django 1.11.4 on 2017-10-15 21:25
from __future__ import unicode_literals

from django.db import migrations, models
import django_extensions.db.fields
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Deadline',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('deadline', models.DateTimeField(help_text='The time of the deadline.', verbose_name='Fecha limite')),
                ('text', models.TextField(blank=True, help_text='An optional text to show.', null=True, verbose_name='Descipcion')),
                ('isDone', models.BooleanField(default=False)),
            ],
            options={
                'verbose_name': 'Deadline',
                'verbose_name_plural': 'Deadlines',
                'ordering': ['-deadline'],
            },
        ),
        migrations.CreateModel(
            name='MyExampleT',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', django_extensions.db.fields.CreationDateTimeField(auto_now_add=True, verbose_name='created')),
                ('modified', django_extensions.db.fields.ModificationDateTimeField(auto_now=True, verbose_name='modified')),
                ('text', models.TextField(blank=True, help_text='An optional text to show.', null=True, verbose_name='Descipcion')),
            ],
            options={
                'ordering': ('-modified', '-created'),
                'get_latest_by': 'modified',
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Timestampable',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('createDate', models.DateTimeField(auto_now_add=True)),
                ('modifyDate', models.DateTimeField(auto_now=True)),
            ],
        ),
    ]
